<?php

namespace FiloBlu\CegidY2\Api\CustomerOrderManagementService;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'HelloWorld' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\HelloWorld',
            'RetailContext' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\RetailContext',
            'HelloWorldResponse' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\HelloWorldResponse',
            'CreateFrom' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFrom',
            'CreateFromRequest' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequest',
            'CreateFromRequestHeader' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeader',
            'CreateFromRequestHeaderOriginalDocumentIdentifier' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderOriginalDocumentIdentifier',
            'CreateFromRequestHeaderOriginalDocumentIdentifierKey' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderOriginalDocumentIdentifierKey',
            'CreateFromRequestHeaderOriginalDocumentIdentifierReference' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderOriginalDocumentIdentifierReference',
            'CreateFromRequestHeaderRemainderManagement' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderRemainderManagement',
            'CreateFromRequestHeaderUserDefinedDateCollection' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderUserDefinedDateCollection',
            'CreateFromRequestHeaderUserDefinedDate' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderUserDefinedDate',
            'CreateFromRequestHeaderUserDefinedTableCustomerCollection' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderUserDefinedTableCustomerCollection',
            'CreateFromRequestHeaderUserDefinedTableCustomer' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderUserDefinedTableCustomer',
            'CreateFromRequestHeaderUserDefinedTableCollection' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderUserDefinedTableCollection',
            'CreateFromRequestHeaderUserDefinedTable' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderUserDefinedTable',
            'CreateFromRequestHeaderUserFieldCollection' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderUserFieldCollection',
            'CreateFromRequestHeaderUserField' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderUserField',
            'CreateFromRequestHeaderUserFieldValue' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestHeaderUserFieldValue',
            'CreateFromRequestLineCollection' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestLineCollection',
            'CreateFromRequestLine' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestLine',
            'CreateFromRequestLineItemIdentifier' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestLineItemIdentifier',
            'CreateFromRequestPaymentCollection' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestPaymentCollection',
            'CreateFromRequestPayment' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestPayment',
            'CreateFromRequestPaymentCreditCard' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestPaymentCreditCard',
            'CreateFromRequestPaymentReceivedPayment' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromRequestPaymentReceivedPayment',
            'CreateFromResponse' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromResponse',
            'CreateFromReply' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromReply',
            'CreateFromReplyDocumentCollection' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromReplyDocumentCollection',
            'CreateFromReplyDocument' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromReplyDocument',
            'CreateFromReplyDocumentKey' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CreateFromReplyDocumentKey',
            'ExceptionDetail' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\ExceptionDetail',
            'CbpExceptionDetail' => '\\FiloBlu\\CegidY2\\Api\\CustomerOrderManagementService\\StructType\\CbpExceptionDetail',
        );
    }
}
