<?php

namespace FiloBlu\CegidY2\Api\CustomerOrderManagementService\EnumType;

/**
 * This class stands for CustomerOrderDocumentTypeOriginTransfo EnumType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CustomerOrderDocumentTypeOriginTransfo
 * @subpackage Enumerations
 */
class CustomerOrderDocumentTypeOriginTransfo
{
    /**
     * Constant for value 'CustomerOrder'
     * @return string 'CustomerOrder'
     */
    const VALUE_CUSTOMER_ORDER = 'CustomerOrder';
    /**
     * Constant for value 'DeliveryPreparation'
     * @return string 'DeliveryPreparation'
     */
    const VALUE_DELIVERY_PREPARATION = 'DeliveryPreparation';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_CUSTOMER_ORDER
     * @uses self::VALUE_DELIVERY_PREPARATION
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_CUSTOMER_ORDER,
            self::VALUE_DELIVERY_PREPARATION,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
