<?php

namespace FiloBlu\CegidY2\Api\CustomerOrderManagementService\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Create ServiceType
 * @subpackage Services
 */
class Create extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named CreateFrom
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFrom $parameters
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromResponse|bool
     */
    public function CreateFrom(\FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFrom $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->CreateFrom($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
