<?php

namespace FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateFromRequestHeaderRemainderManagement StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CreateFromRequestHeaderRemainderManagement
 * @subpackage Structs
 */
class CreateFromRequestHeaderRemainderManagement extends AbstractStructBase
{
    /**
     * The CloseDocument
     * @var bool
     */
    public $CloseDocument;
    /**
     * Constructor method for CreateFromRequestHeaderRemainderManagement
     * @uses CreateFromRequestHeaderRemainderManagement::setCloseDocument()
     * @param bool $closeDocument
     */
    public function __construct($closeDocument = null)
    {
        $this
            ->setCloseDocument($closeDocument);
    }
    /**
     * Get CloseDocument value
     * @return bool|null
     */
    public function getCloseDocument()
    {
        return $this->CloseDocument;
    }
    /**
     * Set CloseDocument value
     * @param bool $closeDocument
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequestHeaderRemainderManagement
     */
    public function setCloseDocument($closeDocument = null)
    {
        // validation for constraint: boolean
        if (!is_null($closeDocument) && !is_bool($closeDocument)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($closeDocument, true), gettype($closeDocument)), __LINE__);
        }
        $this->CloseDocument = $closeDocument;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequestHeaderRemainderManagement
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
