<?php

namespace FiloBlu\CegidY2\Api\CustomerWcfService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCustomerDetailResponse StructType
 * Meta information extracted from the WSDL
 * - documentation: Renvoie les informations consultables de la fiche client.
 * @subpackage Structs
 */
class GetCustomerDetailResponse extends AbstractStructBase
{
    /**
     * The GetCustomerDetailResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\CustomerWcfService\StructType\CustomerQueryData
     */
    public $GetCustomerDetailResult;
    /**
     * Constructor method for GetCustomerDetailResponse
     * @uses GetCustomerDetailResponse::setGetCustomerDetailResult()
     * @param \FiloBlu\CegidY2\Api\CustomerWcfService\StructType\CustomerQueryData $getCustomerDetailResult
     */
    public function __construct(\FiloBlu\CegidY2\Api\CustomerWcfService\StructType\CustomerQueryData $getCustomerDetailResult = null)
    {
        $this
            ->setGetCustomerDetailResult($getCustomerDetailResult);
    }
    /**
     * Get GetCustomerDetailResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\CustomerWcfService\StructType\CustomerQueryData|null
     */
    public function getGetCustomerDetailResult()
    {
        return isset($this->GetCustomerDetailResult) ? $this->GetCustomerDetailResult : null;
    }
    /**
     * Set GetCustomerDetailResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\CustomerWcfService\StructType\CustomerQueryData $getCustomerDetailResult
     * @return \FiloBlu\CegidY2\Api\CustomerWcfService\StructType\GetCustomerDetailResponse
     */
    public function setGetCustomerDetailResult(\FiloBlu\CegidY2\Api\CustomerWcfService\StructType\CustomerQueryData $getCustomerDetailResult = null)
    {
        if (is_null($getCustomerDetailResult) || (is_array($getCustomerDetailResult) && empty($getCustomerDetailResult))) {
            unset($this->GetCustomerDetailResult);
        } else {
            $this->GetCustomerDetailResult = $getCustomerDetailResult;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\CustomerWcfService\StructType\GetCustomerDetailResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
