<?php

namespace FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateCardId StructType
 * Meta information extracted from the WSDL
 * - documentation: [Ajouté 2016/04 - V1110] [Bêta] - Permet la mise à jour du numéro de carte
 * @subpackage Structs
 */
class UpdateCardId extends AbstractStructBase
{
    /**
     * The UpdateCardIdRequest
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateCardIdRequest
     */
    public $UpdateCardIdRequest;
    /**
     * The clientContext
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext
     */
    public $clientContext;
    /**
     * Constructor method for UpdateCardId
     * @uses UpdateCardId::setUpdateCardIdRequest()
     * @uses UpdateCardId::setClientContext()
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateCardIdRequest $updateCardIdRequest
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext $clientContext
     */
    public function __construct(\FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateCardIdRequest $updateCardIdRequest = null, \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext $clientContext = null)
    {
        $this
            ->setUpdateCardIdRequest($updateCardIdRequest)
            ->setClientContext($clientContext);
    }
    /**
     * Get UpdateCardIdRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateCardIdRequest|null
     */
    public function getUpdateCardIdRequest()
    {
        return isset($this->UpdateCardIdRequest) ? $this->UpdateCardIdRequest : null;
    }
    /**
     * Set UpdateCardIdRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateCardIdRequest $updateCardIdRequest
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateCardId
     */
    public function setUpdateCardIdRequest(\FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateCardIdRequest $updateCardIdRequest = null)
    {
        if (is_null($updateCardIdRequest) || (is_array($updateCardIdRequest) && empty($updateCardIdRequest))) {
            unset($this->UpdateCardIdRequest);
        } else {
            $this->UpdateCardIdRequest = $updateCardIdRequest;
        }
        return $this;
    }
    /**
     * Get clientContext value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext|null
     */
    public function getClientContext()
    {
        return isset($this->clientContext) ? $this->clientContext : null;
    }
    /**
     * Set clientContext value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext $clientContext
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateCardId
     */
    public function setClientContext(\FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext $clientContext = null)
    {
        if (is_null($clientContext) || (is_array($clientContext) && empty($clientContext))) {
            unset($this->clientContext);
        } else {
            $this->clientContext = $clientContext;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateCardId
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
