<?php

namespace FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateProgram StructType
 * Meta information extracted from the WSDL
 * - documentation: [Ajouté 2016/04 - V1110] [Bêta] - Permet la mise à jour du programme de fidélité de la carte active du client
 * @subpackage Structs
 */
class UpdateProgram extends AbstractStructBase
{
    /**
     * The UpdateProgramRequest
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateProgramRequest
     */
    public $UpdateProgramRequest;
    /**
     * The clientContext
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext
     */
    public $clientContext;
    /**
     * Constructor method for UpdateProgram
     * @uses UpdateProgram::setUpdateProgramRequest()
     * @uses UpdateProgram::setClientContext()
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateProgramRequest $updateProgramRequest
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext $clientContext
     */
    public function __construct(\FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateProgramRequest $updateProgramRequest = null, \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext $clientContext = null)
    {
        $this
            ->setUpdateProgramRequest($updateProgramRequest)
            ->setClientContext($clientContext);
    }
    /**
     * Get UpdateProgramRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateProgramRequest|null
     */
    public function getUpdateProgramRequest()
    {
        return isset($this->UpdateProgramRequest) ? $this->UpdateProgramRequest : null;
    }
    /**
     * Set UpdateProgramRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateProgramRequest $updateProgramRequest
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateProgram
     */
    public function setUpdateProgramRequest(\FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateProgramRequest $updateProgramRequest = null)
    {
        if (is_null($updateProgramRequest) || (is_array($updateProgramRequest) && empty($updateProgramRequest))) {
            unset($this->UpdateProgramRequest);
        } else {
            $this->UpdateProgramRequest = $updateProgramRequest;
        }
        return $this;
    }
    /**
     * Get clientContext value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext|null
     */
    public function getClientContext()
    {
        return isset($this->clientContext) ? $this->clientContext : null;
    }
    /**
     * Set clientContext value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext $clientContext
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateProgram
     */
    public function setClientContext(\FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext $clientContext = null)
    {
        if (is_null($clientContext) || (is_array($clientContext) && empty($clientContext))) {
            unset($this->clientContext);
        } else {
            $this->clientContext = $clientContext;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateProgram
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
