<?php

namespace FiloBlu\CegidY2\Api\SaleDocumentService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CustomersReservationCreateResponse StructType
 * Meta information extracted from the WSDL
 * - documentation: [Ajouté 2014/05 - V1110] [Bêta] - Permet la création d'une réservation client.
 * @subpackage Structs
 */
class CustomersReservationCreateResponse extends AbstractStructBase
{
    /**
     * The CustomersReservationCreateResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\CustomersReservationCreate_Reply
     */
    public $CustomersReservationCreateResult;
    /**
     * Constructor method for CustomersReservationCreateResponse
     * @uses CustomersReservationCreateResponse::setCustomersReservationCreateResult()
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\CustomersReservationCreate_Reply $customersReservationCreateResult
     */
    public function __construct(\FiloBlu\CegidY2\Api\SaleDocumentService\StructType\CustomersReservationCreate_Reply $customersReservationCreateResult = null)
    {
        $this
            ->setCustomersReservationCreateResult($customersReservationCreateResult);
    }
    /**
     * Get CustomersReservationCreateResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\CustomersReservationCreate_Reply|null
     */
    public function getCustomersReservationCreateResult()
    {
        return isset($this->CustomersReservationCreateResult) ? $this->CustomersReservationCreateResult : null;
    }
    /**
     * Set CustomersReservationCreateResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\CustomersReservationCreate_Reply $customersReservationCreateResult
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\CustomersReservationCreateResponse
     */
    public function setCustomersReservationCreateResult(\FiloBlu\CegidY2\Api\SaleDocumentService\StructType\CustomersReservationCreate_Reply $customersReservationCreateResult = null)
    {
        if (is_null($customersReservationCreateResult) || (is_array($customersReservationCreateResult) && empty($customersReservationCreateResult))) {
            unset($this->CustomersReservationCreateResult);
        } else {
            $this->CustomersReservationCreateResult = $customersReservationCreateResult;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\CustomersReservationCreateResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
