<?php

namespace FiloBlu\CegidY2\Api\SaleDocumentService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetByReferenceResponse StructType
 * Meta information extracted from the WSDL
 * - documentation: [Ajouté 2013/04 - V1102] - Permet d'obtenir un document de vente en fonction de sa référence client.
 * @subpackage Structs
 */
class GetByReferenceResponse extends AbstractStructBase
{
    /**
     * The GetByReferenceResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_Reply
     */
    public $GetByReferenceResult;
    /**
     * Constructor method for GetByReferenceResponse
     * @uses GetByReferenceResponse::setGetByReferenceResult()
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_Reply $getByReferenceResult
     */
    public function __construct(\FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_Reply $getByReferenceResult = null)
    {
        $this
            ->setGetByReferenceResult($getByReferenceResult);
    }
    /**
     * Get GetByReferenceResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_Reply|null
     */
    public function getGetByReferenceResult()
    {
        return isset($this->GetByReferenceResult) ? $this->GetByReferenceResult : null;
    }
    /**
     * Set GetByReferenceResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_Reply $getByReferenceResult
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetByReferenceResponse
     */
    public function setGetByReferenceResult(\FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_Reply $getByReferenceResult = null)
    {
        if (is_null($getByReferenceResult) || (is_array($getByReferenceResult) && empty($getByReferenceResult))) {
            unset($this->GetByReferenceResult);
        } else {
            $this->GetByReferenceResult = $getByReferenceResult;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetByReferenceResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
