<?php

namespace FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateFromReplyDocument StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CreateFromReplyDocument
 * @subpackage Structs
 */
class CreateFromReplyDocument extends AbstractStructBase
{
    /**
     * The InternalReference
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $InternalReference;
    /**
     * The Key
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromReplyDocumentKey
     */
    public $Key;
    /**
     * Constructor method for CreateFromReplyDocument
     * @uses CreateFromReplyDocument::setInternalReference()
     * @uses CreateFromReplyDocument::setKey()
     * @param string $internalReference
     * @param \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromReplyDocumentKey $key
     */
    public function __construct($internalReference = null, \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromReplyDocumentKey $key = null)
    {
        $this
            ->setInternalReference($internalReference)
            ->setKey($key);
    }
    /**
     * Get InternalReference value
     * @return string|null
     */
    public function getInternalReference()
    {
        return $this->InternalReference;
    }
    /**
     * Set InternalReference value
     * @param string $internalReference
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromReplyDocument
     */
    public function setInternalReference($internalReference = null)
    {
        // validation for constraint: string
        if (!is_null($internalReference) && !is_string($internalReference)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($internalReference, true), gettype($internalReference)), __LINE__);
        }
        $this->InternalReference = $internalReference;
        return $this;
    }
    /**
     * Get Key value
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromReplyDocumentKey|null
     */
    public function getKey()
    {
        return $this->Key;
    }
    /**
     * Set Key value
     * @param \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromReplyDocumentKey $key
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromReplyDocument
     */
    public function setKey(\FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromReplyDocumentKey $key = null)
    {
        $this->Key = $key;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromReplyDocument
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
