<?php

namespace FiloBlu\CegidY2\Api\CustomerWcfService\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Update ServiceType
 * @subpackage Services
 */
class Update extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named UpdateCustomer
     * Meta information extracted from the WSDL
     * - documentation: Permet la modification d'un client existant. | Identifiant du client à modifier. | Renvoie l'identifiant du client modifié.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \FiloBlu\CegidY2\Api\CustomerWcfService\StructType\UpdateCustomer $parameters
     * @return \FiloBlu\CegidY2\Api\CustomerWcfService\StructType\UpdateCustomerResponse|bool
     */
    public function UpdateCustomer(\FiloBlu\CegidY2\Api\CustomerWcfService\StructType\UpdateCustomer $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateCustomer($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \FiloBlu\CegidY2\Api\CustomerWcfService\StructType\UpdateCustomerResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
