<?php

namespace FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCustomerCardsResponse StructType
 * Meta information extracted from the WSDL
 * - documentation: [Ajouté 2013/04 - V1102] - Renvoie la liste des cartes de fidélité associées à un client.
 * @subpackage Structs
 */
class GetCustomerCardsResponse extends AbstractStructBase
{
    /**
     * The GetCustomerCardsResult
     * Meta information extracted from the WSDL
     * - documentation: Liste de cartes de fidélité
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\LoyaltyWcfService\ArrayType\ArrayOfCardHeaderGet
     */
    public $GetCustomerCardsResult;
    /**
     * Constructor method for GetCustomerCardsResponse
     * @uses GetCustomerCardsResponse::setGetCustomerCardsResult()
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\ArrayType\ArrayOfCardHeaderGet $getCustomerCardsResult
     */
    public function __construct(\FiloBlu\CegidY2\Api\LoyaltyWcfService\ArrayType\ArrayOfCardHeaderGet $getCustomerCardsResult = null)
    {
        $this
            ->setGetCustomerCardsResult($getCustomerCardsResult);
    }
    /**
     * Get GetCustomerCardsResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\ArrayType\ArrayOfCardHeaderGet|null
     */
    public function getGetCustomerCardsResult()
    {
        return isset($this->GetCustomerCardsResult) ? $this->GetCustomerCardsResult : null;
    }
    /**
     * Set GetCustomerCardsResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\ArrayType\ArrayOfCardHeaderGet $getCustomerCardsResult
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\GetCustomerCardsResponse
     */
    public function setGetCustomerCardsResult(\FiloBlu\CegidY2\Api\LoyaltyWcfService\ArrayType\ArrayOfCardHeaderGet $getCustomerCardsResult = null)
    {
        if (is_null($getCustomerCardsResult) || (is_array($getCustomerCardsResult) && empty($getCustomerCardsResult))) {
            unset($this->GetCustomerCardsResult);
        } else {
            $this->GetCustomerCardsResult = $getCustomerCardsResult;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\GetCustomerCardsResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
