<?php

namespace FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetLoyaltyCardResponse StructType
 * Meta information extracted from the WSDL
 * - documentation: [Ajouté 2013/04 - V1102] - Retourne les informations d'une carte de fidélité
 * @subpackage Structs
 */
class GetLoyaltyCardResponse extends AbstractStructBase
{
    /**
     * The GetLoyaltyCardResult
     * Meta information extracted from the WSDL
     * - documentation: Informations d'une carte de fidélité
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\CardHeaderGet
     */
    public $GetLoyaltyCardResult;
    /**
     * Constructor method for GetLoyaltyCardResponse
     * @uses GetLoyaltyCardResponse::setGetLoyaltyCardResult()
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\CardHeaderGet $getLoyaltyCardResult
     */
    public function __construct(\FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\CardHeaderGet $getLoyaltyCardResult = null)
    {
        $this
            ->setGetLoyaltyCardResult($getLoyaltyCardResult);
    }
    /**
     * Get GetLoyaltyCardResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\CardHeaderGet|null
     */
    public function getGetLoyaltyCardResult()
    {
        return isset($this->GetLoyaltyCardResult) ? $this->GetLoyaltyCardResult : null;
    }
    /**
     * Set GetLoyaltyCardResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\CardHeaderGet $getLoyaltyCardResult
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\GetLoyaltyCardResponse
     */
    public function setGetLoyaltyCardResult(\FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\CardHeaderGet $getLoyaltyCardResult = null)
    {
        if (is_null($getLoyaltyCardResult) || (is_array($getLoyaltyCardResult) && empty($getLoyaltyCardResult))) {
            unset($this->GetLoyaltyCardResult);
        } else {
            $this->GetLoyaltyCardResult = $getLoyaltyCardResult;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\GetLoyaltyCardResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
