<?php

namespace FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateValidityPeriod StructType
 * Meta information extracted from the WSDL
 * - documentation: [Ajouté 2016/04 - V1110] [Bêta] - Permet la mise à jour des dates de validité de la carte active du client
 * @subpackage Structs
 */
class UpdateValidityPeriod extends AbstractStructBase
{
    /**
     * The UpdateValidityPeriodRequest
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateValidityPeriodRequest
     */
    public $UpdateValidityPeriodRequest;
    /**
     * The clientContext
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext
     */
    public $clientContext;
    /**
     * Constructor method for UpdateValidityPeriod
     * @uses UpdateValidityPeriod::setUpdateValidityPeriodRequest()
     * @uses UpdateValidityPeriod::setClientContext()
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateValidityPeriodRequest $updateValidityPeriodRequest
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext $clientContext
     */
    public function __construct(\FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateValidityPeriodRequest $updateValidityPeriodRequest = null, \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext $clientContext = null)
    {
        $this
            ->setUpdateValidityPeriodRequest($updateValidityPeriodRequest)
            ->setClientContext($clientContext);
    }
    /**
     * Get UpdateValidityPeriodRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateValidityPeriodRequest|null
     */
    public function getUpdateValidityPeriodRequest()
    {
        return isset($this->UpdateValidityPeriodRequest) ? $this->UpdateValidityPeriodRequest : null;
    }
    /**
     * Set UpdateValidityPeriodRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateValidityPeriodRequest $updateValidityPeriodRequest
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateValidityPeriod
     */
    public function setUpdateValidityPeriodRequest(\FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateValidityPeriodRequest $updateValidityPeriodRequest = null)
    {
        if (is_null($updateValidityPeriodRequest) || (is_array($updateValidityPeriodRequest) && empty($updateValidityPeriodRequest))) {
            unset($this->UpdateValidityPeriodRequest);
        } else {
            $this->UpdateValidityPeriodRequest = $updateValidityPeriodRequest;
        }
        return $this;
    }
    /**
     * Get clientContext value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext|null
     */
    public function getClientContext()
    {
        return isset($this->clientContext) ? $this->clientContext : null;
    }
    /**
     * Set clientContext value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext $clientContext
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateValidityPeriod
     */
    public function setClientContext(\FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\RetailContext $clientContext = null)
    {
        if (is_null($clientContext) || (is_array($clientContext) && empty($clientContext))) {
            unset($this->clientContext);
        } else {
            $this->clientContext = $clientContext;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\UpdateValidityPeriod
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
