<?php

namespace FiloBlu\CegidY2\Api\SaleDocumentService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateResponse StructType
 * Meta information extracted from the WSDL
 * - documentation: [Ajouté 2013/04 - V1102] - Permet la modification d'un document de vente. Annule et remplace le document d'origine tout en conservant ses identifiants. Le document ne doit pas avoir de lien vers d'autres pièces. Pour mettre à jour
 * des règlements percus existants, utiliser la méthode UpdatePayments
 * @subpackage Structs
 */
class UpdateResponse extends AbstractStructBase
{
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\UpdateResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
